- Extending Qt Creator Manual
- QtCreator
- DoubleAspect
- Extending Qt Creator Manual 13.0.0

# DoubleAspect Class

class Utils::DoubleAspect

An double aspect is a numerical property of some object, together with a description of its behavior for common operations like visualizing or persisting. More...

Header: | #include <DoubleAspect>
Inherits: | Utils::TypedAspect

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | addToLayout(Layouting::LayoutItem &builder) override

## Detailed Description

The double aspect is displayed using a `QDoubleSpinBox`.

The visual representation often contains a label in front the display of the spin box.

## Member Function Documentation

### `[override virtual]` void DoubleAspect::addToLayout(Layouting::LayoutItem &builder)

Reimplements: BaseAspect::addToLayout(Layouting::LayoutItem &parent).